curl --request GET \
--url https://business-api.onboard.xyz/ledger/crypto-transfer/{transferReference} \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/crypto-transfer/{transferReference}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/crypto-transfer/{transferReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "txn_123456",
"reference": "REF123456",
"type": "DEPOSIT",
"amount": 100,
"currency": "USD",
"status": "PENDING",
"createdDate": "2023-11-07T05:31:56Z",
"categoryTag": "crypto-withdrawal",
"notes": "Conversion from USDC to IDR",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"feeAmount": 1,
"feeInclusive": true,
"subAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockchainInfo": {
"txHash": "0x093a0b443d5f698d1097368c1c05fab1ee2304e508b36c08bb72c40389c17584",
"recipient": {
"address": "0x2b059a574a35e60b228d10d54fec2671de4928e1",
"memo": "1290122112"
},
"value": "100.01",
"tokenSymbol": "USDT",
"senderAddress": "0x2b059a574a35e60b228d10d54fec2671de4928e1",
"blockNumber": 20564802,
"timestamp": 123,
"explorerUrl": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Get Crypto Transfer
This operation allows the client to fetch a specific crypto transfer by its reference ID.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The transfer unique ID
Response
Crypto Transfer fetched successfully
Unique transaction ID
"txn_123456"
Unique transaction reference.
"REF123456"
DEPOSIT, WITHDRAWAL, TRANSFER Transaction amount, negative for debits, positive for credits
100
Transaction currency
"USD"
Status of the transaction, indicating its current state in the processing lifecycle.
- PENDING: The transaction has been created but not yet processed.
- IN_PROGRESS: The transaction is currently being processed.
- FAILED: The transaction processing has failed.
- SUCCESS: The transaction has been successfully processed.
PENDING, IN_PROGRESS, FAILED, SUCCESS Transaction creation date
Category tag for the transaction
"crypto-withdrawal"
Transaction description
"Conversion from USDC to IDR"
Associated account ID
Fee amount associated with the transaction
1
Indicates if the fee is inclusive in the transaction amount
Associated sub-account ID, if applicable
Blockchain transaction data, present on Crypto-backed transactions.
Show child attributes
Show child attributes